<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attributes and Links</title>
</head>
<body>

	<h2 id="top">HTML Attributes</h2>

	<!-- 

		-HTML elements have a default "behavior" when shown in a browseer. Attributes allow us to change these behavior. 
		-paragraphs tag by default are aligned to the left part of our webpage.
		-The "align" attribute changes the alignment of the paragraph element.


		-->
	<p align="center"><em>Modifiers of element behaviors.</em></p>

	<h2> HTML Images</h2>

	<!--
		- &lt; are called HTML entities. They're used to include special characters into text. Some special characters used in HTML are read as part of the code. The angle braces (<>) is a common example of this. To avoid any errors in code we use HTML entities. -->


	<p align="right"><em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.</em></p>

	<!-- Adds an image using absolute linking -->
	<!-- <img> tag - used to include images.
		The "src" attribute accepts url from an online resource. The example provided above is an absolute link. -->
	
	<img src="https://place-puppy.com/300x300">

	<img src="./images/doggy.png/" height="200" width="200" alt="this is an image of a dog">

	<hr>

	<p>Valid image extensions are the following:</p>
	 <ol type="a" !reversed>
	 	<li>png</li>
	 	<li>jpg</li>
	 	<li>gif</li>
	 	<li>svg</li>
	 	<li>webp</li>
	 </ol>

<!-- 
	- the dot (.) symbol in the relative link refers to the current directory.
	- the forward slash (/) refers to accessing a different directory/folder.
	- the filename is added after the last forward slash (/) and includes the file extension.
	- The "type" attritube changes the number points of the ol element. The default type is the integer number.
	- Other values:
		-1
		-A
		-i
		-I
	- The reverse attritube reverses the order of the bullet points.
	- Some attributes have boolean value. Adding the reversed attribute changes the "reversed" attribute of the ol element to true.

 -->

<hr>

<h2>HTML Links</h2>

<h4>Absolute link</h4>

<!-- Creates a hyperlink element that redirects to a different page -->
<a href="https://zuitt.co">I am a hyperlink</a>

<!-- 

	- <a> tag - creates a hyperlink element when clicked will redirect to a different page.

	- The "href" attribute means "hypertext reference" which is used to create a link to a different page

 -->

<h4>Relative Link</h4>

<!-- Redirects to the link.html file -->
<p>Go to <a href="./link.html">link.html</a> page.</p>

<!-- Redirects to the HTML element with the top id attribute -->
<p>Go to <a href="#top">top</a></p>

<!-- Any HTML tag wrapped insde an anchor/tag will become a clickable element -->
<!-- 
	- The "target" attribute uses "_blank" value in order to open web pages/links to another tab.

 -->
<a href="https://google.com" target="_blank">
	<img src="https://place-puppy.com/300x300">
</a>


</body>
</html>